<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<title>Vue JS Exercice</title>
		<link rel="stylesheet" href="./style.css" />
		<script src="https://unpkg.com/vue"></script>
	</head>
	<body>
		<div id="app">
			<input type="checkbox" v-model="hide" v-bind:checked="!hide" /> Cacher le paragraphe
			ci-dessous
			<p v-if="!hide">Je suis un paragraphe</p>
			<p>Faire une recherche Google :</p>
			<input type="text" v-model="googleSearch" />
			<a v-bind:href="`https://www.google.com/search?q=${googleSearch}`" target="_blank"
				>Recherche google</a
			>
			<p>Changer l'interaction du bouton :</p>
			<select
				name="transition"
				id="transition"
				v-model="event"
				v-on:change="onChange($event)"
			>
				<option value="mouseenter">mouseenter</option>
				<option value="mouseleave">mouseleave</option>
				<option value="click">click</option>
			</select>
			<button class="transition" @[event]="animation($event)">Je suis un bouton</button>
		</div>
		<script src="./script.js"></script>
	</body>
</html>
